package ca.recrown.islandsurvivalcraft.caching;

public class UsageTracker<Key> implements Comparable<UsageTracker<Key>> {
    private int usage;
    private final Key key;

    public UsageTracker(Key key, int initialUsage) {
        this.key = key;
        this.usage = initialUsage;
    }

    @Override
    public int compareTo(UsageTracker<Key> o) {
        return usage - o.usage;
    }

    public void increaseUsage() {
        usage++;
    }

    /**
     * @return the usage
     */
    public int getUsage() {
        return usage;
    }

    /**
     * @return the key
     */
    public Key getKey() {
        return key;
    }
}